package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.SysParamMapper;
import com.huiju.welcome.model.SysParam;
import com.huiju.welcome.service.ISysParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-14
 */
@Service
public class SysParamServiceImpl extends ServiceImpl<SysParamMapper, SysParam> implements ISysParamService {
    @Autowired
    SysParamMapper sysParamMapper;

    @Override
    public Float getSamePersonThreshold() {
        String val = getParamOfWithDefault("same-person-threshold", "70");
        return Float.parseFloat(val);
    }

    @Override
    public String getParamOfWithDefault(String id, String def) {
        SysParam sysParam = sysParamMapper.selectById(id);
        if (null == sysParam) return def;

        String val = sysParam.getValue();
        if (null == val || "".equals(val)) return def;

        return val;
    }

    @Override
    public Float getFaceMinScore() {
        String val = getParamOfWithDefault("face-min-score", "70");
        return Float.parseFloat(val);
    }

    @Override
    public Float getDispatchTimeLimit() {
        String val = getParamOfWithDefault("dispatch-time-limit", "2");
        return Float.parseFloat(val);
    }


}
