package com.huiju.welcome.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaMessageRecordMapper;
import com.huiju.welcome.model.TaMessageRecord;
import com.huiju.welcome.service.ITaMessageRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

@Service
public class TaMessageRecordImpl extends ServiceImpl<TaMessageRecordMapper, TaMessageRecord> implements ITaMessageRecordService {

    @Autowired
    TaMessageRecordMapper taMessageRecordMapper;

    @Override
    public boolean saveMessageOrNot(String toUser, String tplId, String page, List<Object> data, boolean save) {
        String content = JSONObject.toJSONString(data);
        LocalDateTime now = LocalDateTime.now();
        LocalDateTime twoHourAgo = now.minusHours(2);

        List<TaMessageRecord> lastMessages = taMessageRecordMapper.getLastSameMessages(toUser, page, content, twoHourAgo);
        if (null != lastMessages && lastMessages.size() > 0) return false;

        if (save) {
            TaMessageRecord record = new TaMessageRecord();
            record.setReceiver(toUser);
            record.setTplId(tplId);
            record.setLink(page);
            record.setContent(content);
            record.setCreateDate(now);
            taMessageRecordMapper.insert(record);
        }

        return true;
    }
}
